@import url('https://fonts.googleapis.com/css2?family=Jockey+One&family=Merriweather+Sans:ital,wght@0,300..800;1,300..800&display=swap');

/* Colors */            /* How to use variables from W3Schools https://www.w3schools.com/css/css3_variables.asp */
:root{  
    --white-soft: hsl(0 0% 90%);

    --bg-dark: hsl(34 30% 88%);            
    --bg: hsl(34 55% 93%);
    --bg-light: hsl(34 100% 97%);

    --text: hsl(29 96% 4%);
    --text-soft: hsl(34 20% 27%);

    --border: hsl(34, 12%, 47%);
    --border-soft: hsl(34, 12%, 60%);

    --accent: hsl(40 100% 16%);
    --accent-light: hsl(40 100% 26%);
}

*{
    box-sizing: border-box;
}
/* Fonts */
h1, h2, h3, h4, h5, legend, th{
   font-family: "Jockey One", sans-serif;
   font-weight: 400;
}
p, a, button, label, input, td, li{
    font-family: "Merriweather Sans", sans-serif;
}




body{
    display: grid;
    grid-template-columns: auto auto;
    align-items: center;
    column-gap: 5%;

    background-color: var(--bg-dark);
    margin: 0px;
}
header, nav, footer{
    grid-column: 1/-1;
}

main{
    margin-left: 10vw;

    margin-top: 20px;
    margin-bottom: 20px;
}

header img{
    width: 100%;
    display: block;
}

nav{
    display: grid;
    grid-template-columns: auto auto auto;
    justify-content: center;

    background-color: var(--bg);
    height: 50px;

    box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.5);
}
nav a{
    display: block;
    height: 100%;
    line-height: 50px;
    width: 27vw;

    text-align: center;
    color: var(--text);
    text-decoration-line: none;
    font-size: large;
    
}
nav a:hover{    
    background-color: var(--bg-light);
}
nav a:active{
    background-color: var(--bg-dark);
}

footer{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr)); /* Credit to: https://dev.to/musselmanth/the-dynamic-css-grid-configuration-ive-been-looking-for-1ogd */
    gap: 10px;

    background-color: hsl(0, 0%, 10%);
    padding: 20px 20% 0px 20%;
    text-align: center;
    
    color: var(--white-soft);
}
footer h3{
    margin-top: 0px;
}
footer p{
    font-size: small;
}
.about p{
    font-size: small;
    text-align: left;
    font-weight: lighter;
}

.icons{
    display: grid;
    grid-template-columns: auto auto auto;
    align-content: center;
    justify-content: space-evenly;
}
.icons p{
    text-align: center;
}
.icons a{
    text-decoration-line: none;
    color: var(--white-soft);
}
.icons a div{
    display: grid;
    grid-template-rows: auto auto;
    gap: 10px;
    justify-items: center;
}
.icons p:hover{
    color: lightskyblue;
    text-decoration-line:underline;
    text-decoration-color: lightskyblue;
}

.contact p{
    font-weight: lighter;
    line-height: 10px;
}